Translations
curl --request GET \
--url https://api.themoviedb.org/3/person/{person_id}/translations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/person/{person_id}/translations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/person/{person_id}/translations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 12,
"translations": [
{
"data": {
"biography": "Alexander Jerome Gould (born May 4, 1994) is an American television actor and voice artist. He is best known for his role as Shane Botwin on the Showtime TV series Weeds and for having provided the voice of Nemo in Pixar's Finding Nemo.",
"name": "Alexander Gould",
"primary": true
},
"english_name": "English",
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "English"
},
{
"data": {
"biography": "",
"name": "",
"primary": false
},
"english_name": "French",
"iso_3166_1": "FR",
"iso_639_1": "fr",
"name": "Français"
},
{
"data": {
"biography": "",
"name": "亞歷山大·古爾德",
"primary": false
},
"english_name": "Mandarin",
"iso_3166_1": "TW",
"iso_639_1": "zh",
"name": "普通话"
},
{
"data": {
"biography": "",
"name": "アレクサンダー・グールド",
"primary": false
},
"english_name": "Japanese",
"iso_3166_1": "JP",
"iso_639_1": "ja",
"name": "日本語"
},
{
"data": {
"biography": "",
"name": "亚历山大·古尔德",
"primary": false
},
"english_name": "Mandarin",
"iso_3166_1": "CN",
"iso_639_1": "zh",
"name": "普通话"
}
]
}Translations
This endpoint get the translations that belong to a person.
GET
/
3
/
person
/
{person_id}
/
translations
Translations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
12
Response
200 - application/json
Translations
Example:
12
Show child attributes
Show child attributes
Example:
[ { "data": { "biography": "Alexander Jerome Gould (born May 4, 1994) is an American television actor and voice artist. He is best known for his role as Shane Botwin on the Showtime TV series Weeds and for having provided the voice of Nemo in Pixar's Finding Nemo.", "name": "Alexander Gould", "primary": true }, "english_name": "English", "iso_3166_1": "US", "iso_639_1": "en", "name": "English" }, { "data": { "biography": "", "name": "", "primary": false }, "english_name": "French", "iso_3166_1": "FR", "iso_639_1": "fr", "name": "Français" }, { "data": { "biography": "", "name": "亞歷山大·古爾德", "primary": false }, "english_name": "Mandarin", "iso_3166_1": "TW", "iso_639_1": "zh", "name": "普通话" }, { "data": { "biography": "", "name": "アレクサンダー・グールド", "primary": false }, "english_name": "Japanese", "iso_3166_1": "JP", "iso_639_1": "ja", "name": "日本語" }, { "data": { "biography": "", "name": "亚历山大·古尔德", "primary": false }, "english_name": "Mandarin", "iso_3166_1": "CN", "iso_639_1": "zh", "name": "普通话" } ]
⌘I